=== debian/changelog ===
ros-noetic-pilz-robot-programming (0.5.0-4buster) buster; urgency=high

  * Adapt to changes in MoveThread api
  * Port to ROS Noetic (ubuntu 20.04, python3)
    * Remove pilz_store_positions package
    * Update branching model in README.md
    * Use relative paths for test-data/movecmd.py (colcon support)
    * Misc minor refactorings
  * Fix KeyError on calling release twice
  * Fix blend-radius and misunderstandings in Tests (#341, #330)
  * Fix architecture documentation
  * Use public acceptance-test utility methods
  * Move pilz command planner to moveit
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 02 May 2021 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.12-4buster) buster; urgency=high

  * Adapt to generalized test-utils
  * Add missing test-depend on prbt_hardware_support
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.11-4buster) buster; urgency=high

  * Add Attribute based equivalence for commands.
  * Add feature to store points.
  * Add PoseStamped and tuple goals.
  * Add get_current_pose_stamped to robot api
  * Replace tf by tf2 in pilz_robot_programming.
  * Rename _BaseCmd -> BaseCmd.
  * Remove outdated add_python_coverage() function.
  * Remove outdated/superfluous documents.
  * Remove static version from doc.
  * Remove unused import of prbt_hardware_support.
  * Fix acceptance tests.
  * Fix segfault on shutdown.
  * Fix python 3 compatibility issues.
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.10-4buster) buster; urgency=high

  * Adapt to new brake test srv definitions in pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.9-4buster) buster; urgency=high

  * Import speed override srv from pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.8-4buster) buster; urgency=high

  * Drop unused variables in python api (#162)
  * Override speed of motions
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.7-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.6-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.5-4buster) buster; urgency=high

  * fix PEP issues
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.4-4buster) buster; urgency=high

  * Add python api methods for brake tests

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.3-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.2-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.1-4buster) buster; urgency=high

  * Minor fixes
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.0-4buster) buster; urgency=high

  * Release Python-API from kinetic version 0.3.1

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.5-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.4-4buster) buster; urgency=high

  * enable Robot instantiation after a program got killed; add corresponding test
  * apply renaming command_planner -> pilz_command_planner
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.1-4buster) buster; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.0-4buster) buster; urgency=high

  * Release Python-API
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000
